curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/fiat-currencies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fiat_currency": {
"iso_code": "<string>",
"display_name": "<string>",
"fraction_digits": 9,
"sort_order": 123,
"is_active": true
}
}
'{
"fiat_currency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iso_code": "<string>",
"display_name": "<string>",
"fraction_digits": 123,
"sort_order": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Admin only. Send nested { "fiat_currency": { ... } } or the same fields at the root (flat JSON).
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/fiat-currencies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fiat_currency": {
"iso_code": "<string>",
"display_name": "<string>",
"fraction_digits": 9,
"sort_order": 123,
"is_active": true
}
}
'{
"fiat_currency": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iso_code": "<string>",
"display_name": "<string>",
"fraction_digits": 123,
"sort_order": 123,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.crypto.westminister.tech/llms.txt
Use this file to discover all available pages before exploring further.